Bug Hunting Session
Bug 82170 - FILEOPEN: MSO ODT - Incorrect indent for bullets and numbering
Summary: FILEOPEN: MSO ODT - Incorrect indent for bullets and numbering
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odt
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2014-08-05 04:17 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-01 03:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (165.61 KB, image/png)
2014-08-05 04:17 UTC, Yousuf Philips (jay) (retired)
Details
Word 2013 VS LibO 4.3.1 (165.61 KB, image/png)
2014-08-05 04:18 UTC, Yousuf Philips (jay) (retired)
Details
sample file (79.71 KB, application/vnd.oasis.opendocument.text)
2014-08-05 22:26 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-05 04:17:40 UTC
Created attachment 104043 [details]
sample file

Steps:
1) open attached file
2) notice the missing indent from the margin for the numbering list numbers as well as the second line indent for numbers 3 and 5
3) notice the missing indent for the second bullet point and its its second line

Tested on 4.3.1 on Linux and master on Windows.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-05 04:18:40 UTC
Created attachment 104044 [details]
Word 2013 VS LibO 4.3.1

Calligra Words opens it the same as MS Word.
Comment 2 Jean-Baptiste Faure 2014-08-05 17:06:20 UTC
Hi Jay, it seems that your first attachment is not the correct one.

Best regards. JBF
Comment 3 Yousuf Philips (jay) (retired) 2014-08-05 22:26:42 UTC
Created attachment 104108 [details]
sample file

Thank JBF. Here is the correct one. :)
Comment 4 Jorendc 2014-08-19 20:15:13 UTC
Repro, Version: 4.4.0.0.alpha0+
Build ID: c67026f27023008d124c8ab76533169f032b04f6
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-08-17_08:03:30
Comment 5 Xisco Faulí 2015-08-19 13:21:11 UTC
Problem still present in

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 6 Robinson Tryon (qubit) 2015-12-10 01:38:22 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:42:30 UTC Comment hidden (obsolete)
Comment 8 vihsa 2017-06-01 10:29:38 UTC
reproducible with lo viewer version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 9 vihsa 2017-09-04 06:48:58 UTC
repro
5.0.0.0.alpha1+ [ build id: ab465b9 ]
5.1.0.0.alpha1+ [ build id: 1a6ec13 ]
5.1.0.0.alpha1+ [ build id: 5b791ec ]
5.2.0.0.alpha0+ [ build id: f6a74ce ]
5.3.0.0.alpha1+ [ build id: 4136757 ]
5.4.0.0.alpha0+ [ build id: 3902bb7 ]

os: android 5.1
device: lyf flame 3 [ ls-4001 ]
Comment 10 Yousuf Philips (jay) (retired) 2017-10-31 07:02:49 UTC
TextMaker shows it like Word and Calligra.

Regina: thoughts?
Comment 11 QA Administrators 2018-11-01 03:52:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug